net.sf.jasperreports.crosstabs.type

## Enum CrosstabTotalPositionEnum

- java.lang.Object
- - java.lang.Enum<CrosstabTotalPositionEnum>
  - - net.sf.jasperreports.crosstabs.type.CrosstabTotalPositionEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CrosstabTotalPositionEnum>, JREnum, NamedEnum

      public enum CrosstabTotalPositionEnum
      extends java.lang.Enum<CrosstabTotalPositionEnum>
      implements JREnum

  Version:
    $Id: CrosstabTotalPositionEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END` Constants indicating that totals are to be positioned at the end of the other buckets.
    `NONE` Constant indicating that total are not required for this bucket.
    `START` Constants indicating that totals are to be positioned before the other buckets.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CrosstabTotalPositionEnum` | `getByName(java.lang.String name)`
    `static CrosstabTotalPositionEnum` | `getByValue(byte value)`
    `static CrosstabTotalPositionEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static CrosstabTotalPositionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CrosstabTotalPositionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CrosstabTotalPositionEnum NONE

      Constant indicating that total are not required for this bucket.

    - #### START

          public static final CrosstabTotalPositionEnum START

      Constants indicating that totals are to be positioned before the other buckets.

    - #### END

          public static final CrosstabTotalPositionEnum END

      Constants indicating that totals are to be positioned at the end of the other buckets.

  - ### Method Detail

    - #### values

          public static CrosstabTotalPositionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CrosstabTotalPositionEnum c : CrosstabTotalPositionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CrosstabTotalPositionEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static CrosstabTotalPositionEnum getByName(java.lang.String name)

    - #### getByValue

          public static CrosstabTotalPositionEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static CrosstabTotalPositionEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com